> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Details

> Retrieves detailed information about a specific transaction for a blockchain network, identified by chain ID and transaction ID.



## OpenAPI

````yaml openapi.json get /api/{chainId}/transaction/{transactionId}
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/{chainId}/transaction/{transactionId}:
    get:
      tags:
        - Transaction
      summary: Get Transaction Details
      description: >-
        Retrieves detailed information about a specific transaction for a
        blockchain network, identified by chain ID and transaction ID.
      parameters:
        - in: path
          name: chainId
          schema:
            type: string
            enum:
              - algorand
              - cosmoshub
              - osmosis
              - celestia
              - dydx
              - axelar
              - ethereum
              - sepolia
              - holesky
              - base
              - base-sepolia
              - optimism
              - optimism-sepolia
              - arbitrum
              - arbitrum-sepolia
              - bitcoin
              - bitcoin-testnet
              - bitcoin-signet
              - polygon
              - polygon-amoy
              - bsc
              - bsc-testnet
              - linea
              - linea-sepolia
              - avalanche
              - avalanche-fuji
              - gnosis
              - gnosis-chiado
              - moonbeam
              - moonriver
              - moonbase
              - fantom
              - litecoin
              - dogecoin
              - ton
              - injective
              - akash
              - neutron
              - tron
              - evmos
              - juno
              - sei
              - stride
              - kava
              - starknet
              - babylon
              - babylon-testnet
              - monad-testnet
              - cronos
              - world-chain
          required: true
        - in: path
          name: transactionId
          description: >-
            Transaction ID. Usually a hash but can be different depending on the
            chain.
          schema:
            type: string
            description: >-
              Transaction ID. Usually a hash but can be different depending on
              the chain.
            examples:
              - 559c1be45865069c6070529e43c69752d73438cbb1d04e4f301e94cd68bf7422
          required: true
        - in: query
          name: include
          description: >-
            Optional filter to request specific data. Use a single 'include'
            parameter with comma-separated values. Possible values are 'parsed'
            and 'raw'.
          schema:
            type: string
            description: >-
              Optional filter to request specific data. Use a single 'include'
              parameter with comma-separated values. Possible values are
              'parsed' and 'raw'.
            example: parsed,raw
      responses:
        '200':
          description: >-
            Successfully returns detailed data about the transaction on the
            specified blockchain.
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction:
                    type: object
                    properties:
                      raw: {}
                      parsed:
                        type: object
                        properties:
                          id:
                            type: string
                          mode:
                            anyOf:
                              - type: string
                                enum:
                                  - deployAccount
                                  - transfer
                                  - transferToken
                                  - stake
                                  - unstake
                                  - claimRewards
                                  - withdraw
                                  - registerStake
                              - type: string
                                const: unknown
                          state:
                            type: string
                            enum:
                              - pending
                              - unconfirmed
                              - confirmed
                              - failed
                              - unknown
                          tokenId:
                            type: string
                          blockHeight:
                            type: string
                          timestamp:
                            type: string
                            description: Timestamp in milliseconds
                          fees:
                            type: object
                            properties:
                              amount:
                                type: string
                                description: >-
                                  Amount to use, either provided or computed by
                                  the API
                              ticker:
                                type: string
                                description: >-
                                  Specific currency for that amount. If not
                                  provided, the amount is in the native currency
                                  of the chain.
                            required:
                              - amount
                          gas:
                            type: string
                            description: >-
                              Transaction gas computed by the API, when relevant
                              for the chain.
                          nonce:
                            type: string
                            description: >-
                              Transaction sequence number, when relevant for the
                              chain.
                          memo:
                            type: string
                            description: >-
                              Optional free text field, that is supported for
                              some chains.
                          senders:
                            type: array
                            items:
                              type: object
                              properties:
                                address:
                                  type: string
                                amount:
                                  type: string
                                  description: >-
                                    Amount to use, either provided or computed
                                    by the API
                                ticker:
                                  type: string
                                  description: >-
                                    Specific currency for that amount. If not
                                    provided, the amount is in the native
                                    currency of the chain.
                              required:
                                - address
                                - amount
                          recipients:
                            type: array
                            items:
                              type: object
                              properties:
                                address:
                                  type: string
                                amount:
                                  type: string
                                  description: >-
                                    Amount to use, either provided or computed
                                    by the API
                                ticker:
                                  type: string
                                  description: >-
                                    Specific currency for that amount. If not
                                    provided, the amount is in the native
                                    currency of the chain.
                              required:
                                - address
                                - amount
                          validators:
                            type: object
                            properties:
                              source:
                                type: object
                                properties:
                                  address:
                                    type: string
                                  amount:
                                    type: string
                                    description: >-
                                      Amount to use, either provided or computed
                                      by the API
                                  ticker:
                                    type: string
                                    description: >-
                                      Specific currency for that amount. If not
                                      provided, the amount is in the native
                                      currency of the chain.
                                required:
                                  - address
                                  - amount
                              target:
                                type: object
                                properties:
                                  address:
                                    type: string
                                  amount:
                                    type: string
                                    description: >-
                                      Amount to use, either provided or computed
                                      by the API
                                  ticker:
                                    type: string
                                    description: >-
                                      Specific currency for that amount. If not
                                      provided, the amount is in the native
                                      currency of the chain.
                                required:
                                  - address
                                  - amount
                        required:
                          - id
                          - mode
                          - state
                          - fees
                  status:
                    type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                          required:
                            - message
                      warnings:
                        type: array
                        items:
                          type: object
                          properties:
                            message:
                              type: string
                          required:
                            - message
                    required:
                      - errors
                      - warnings
                required:
                  - transaction
                  - status
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````